//
// Score.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct Score: Codable, JSONEncodable, Hashable {

    public var score: Double?
    public var reasons: [DeltaReason]?

    public init(score: Double? = nil, reasons: [DeltaReason]? = nil) {
        self.score = score
        self.reasons = reasons
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case score
        case reasons
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(score, forKey: .score)
        try container.encodeIfPresent(reasons, forKey: .reasons)
    }
}

